<?xml version="1.0" encoding="UTF-8"?>
<!--
   - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
   - JOnAS: Java(TM) Open Application Server
   - Copyright (C) 2008 Bull S.A.S.
   - Contact: jonas-team@ow2.org
   -
   - This library is free software; you can redistribute it and/or
   - modify it under the terms of the GNU Lesser General Public
   - License as published by the Free Software Foundation; either
   - version 2.1 of the License, or any later version.
   -
   - This library is distributed in the hope that it will be useful,
   - but WITHOUT ANY WARRANTY; without even the implied warranty of
   - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   - Lesser General Public License for more details.
   -
   - You should have received a copy of the GNU Lesser General Public
   - License along with this library; if not, write to the Free Software
   - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
   - USA
   -
   - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
   - $Id:metadata.xml 14180 2008-06-04 14:54:34Z mleduque $
   - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->
<ipojo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns="org.apache.felix.ipojo"
       xsi:schemaLocation="org.apache.felix.ipojo http://felix.apache.org/ipojo/schemas/1.6.0/core.xsd" >

   <component classname="org.ow2.jonas.resourcemonitor.internal.JOnASResourceMonitorService"
              immediate="false">
      
      <provides specifications="org.ow2.jonas.resourcemonitor.ResourceMonitorService" />

      <requires optional="false"
         specification="org.ow2.jonas.properties.ServerProperties">
         <callback type="bind" method="setServerProperties" />
      </requires>

      <requires optional="false"
         specification="org.ow2.util.plan.monitor.api.IResourceMonitor">
         <callback type="bind" method="setResourceMonitor" />
      </requires>
      <requires optional="false"
         specification="org.ow2.jonas.jmx.JmxService">
         <callback type="bind" method="setJmxService" />
      </requires>
      <requires optional="false"
         specification="org.ow2.util.plan.deployer.api.IDeploymentPlanDeployer">
         <callback type="bind" method="setDeploymentPlanDeployer" />
      </requires>
      
      <!-- LifeCycle callbacks -->
      <callback transition="validate" method="start" />
      <callback transition="invalidate" method="stop" />

      <properties propagation="true">
         <property name="monitorInterval" method="setMonitoringInterval" />
      </properties>
   </component>

</ipojo>
